## org.apache.lucene.search.highlight
Class SimpleSpanFragmenter

    java.lang.Object
      org.apache.lucene.search.highlight.SimpleSpanFragmenter

All Implemented Interfaces:
  Fragmenter

    public class SimpleSpanFragmenter

extends java.lang.Object
implements Fragmenter

`Fragmenter` implementation which breaks text up into same-size fragments but does not split up `Spans`. This is a simple sample class.

Constructor Summary
`SimpleSpanFragmenter(QueryScorer queryScorer)`
`SimpleSpanFragmenter(QueryScorer queryScorer, int fragmentSize)`

Method Summary
`boolean` `isNewFragment()` Test to see if this token from the stream should be held in a new TextFragment.
`void` `start(java.lang.String originalText, org.apache.lucene.analysis.TokenStream tokenStream)` Initializes the Fragmenter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSpanFragmenter

    public SimpleSpanFragmenter(QueryScorer queryScorer)

Parameters:
  `queryScorer` - QueryScorer that was used to score hits

### SimpleSpanFragmenter

    public SimpleSpanFragmenter(QueryScorer queryScorer,
                                int fragmentSize)

Parameters:
  `queryScorer` - QueryScorer that was used to score hits
  `fragmentSize` - size in bytes of each fragment

Method Detail

### isNewFragment

    public boolean isNewFragment()

  Description copied from interface: `Fragmenter`
  Test to see if this token from the stream should be held in a new TextFragment. Every time this is called, the TokenStream passed to start(String, TokenStream) will have been incremented.

  Specified by:
    `isNewFragment` in interface `Fragmenter`

### start

    public void start(java.lang.String originalText,
                      org.apache.lucene.analysis.TokenStream tokenStream)

  Description copied from interface: `Fragmenter`
  Initializes the Fragmenter. You can grab references to the Attributes you are interested in from tokenStream and then access the values in `Fragmenter.isNewFragment()`.

  Specified by:
    `start` in interface `Fragmenter`
  Parameters:
    `originalText` - the original source text
    `tokenStream` - the `TokenStream` to be fragmented

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.